CupsJob
Keywords: org.cups.CupsJob,CupsJob class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class CupsJob

    java.lang.Object
      |
      +--org.cups.CupsJob

public class CupsJob
extends java.lang.Object

Field Summary
`java.lang.String` | `document_format`
`java.lang.String` | `job_hold_until`
`int` | `job_id`
`int` | `job_k_octets`
`int` | `job_media_sheets_completed`
`java.lang.String` | `job_more_info`
`java.lang.String` | `job_name`
`java.lang.String` | `job_originating_host_name`
`java.lang.String` | `job_originating_user_name`
`long` | `job_printer_up_time`
`java.lang.String` | `job_printer_uri`
`int` | `job_priority`
`java.lang.String` | `job_sheets`
`int` | `job_state`
`java.lang.String` | `job_state_reasons`
`java.lang.String` | `job_uri`
`long` | `time_at_completed`
`long` | `time_at_creation`
`long` | `time_at_processing`

Constructor Summary
`CupsJob()` Constructor - set some default values.

Method Summary
`java.lang.String` | `jobStatusText()` Convert a job status to a string.
`void` | `updateAttribute(org.cups.IPPAttribute a)` Process an attribute from a cups.doRequest() call and move the value into a local member.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### job_id

    public int job_id

### job_more_info

    public java.lang.String job_more_info

### job_uri

    public java.lang.String job_uri

### job_printer_uri

    public java.lang.String job_printer_uri

### job_printer_up_time

    public long job_printer_up_time

### job_name

    public java.lang.String job_name

### job_originating_user_name

    public java.lang.String job_originating_user_name

### document_format

    public java.lang.String document_format

### job_originating_host_name

    public java.lang.String job_originating_host_name

### job_priority

    public int job_priority

### job_state

    public int job_state

### job_media_sheets_completed

    public int job_media_sheets_completed

### job_k_octets

    public int job_k_octets

### time_at_creation

    public long time_at_creation

### time_at_processing

    public long time_at_processing

### time_at_completed

    public long time_at_completed

### job_hold_until

    public java.lang.String job_hold_until

### job_sheets

    public java.lang.String job_sheets

### job_state_reasons

    public java.lang.String job_state_reasons

Constructor Detail

### CupsJob

    public CupsJob()

  Constructor - set some default values.

Method Detail

### updateAttribute

    public void updateAttribute(org.cups.IPPAttribute a)

  Process an attribute from a cups.doRequest() call and move the value into a local member.

  See Also:
    `IPPDefs`, `IPPValues`, `IPPAttributes`

### jobStatusText

    public java.lang.String jobStatusText()

  Convert a job status to a string.

  See Also:
    `IPPDefs`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD